<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: Smartcard Library Exported Constants</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">Smartcard Library Exported Constants<div class="ingroups"><a class="el" href="../../dc/df9/group___n_a_n_o1_x2___library.html">NANO102/112 Library</a> &raquo; <a class="el" href="../../d7/d89/group___n_a_n_o1_x2___s_c_l_i_b.html">Smartcard Library</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for Smartcard Library Exported Constants:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.png" border="0" usemap="#adc_2df8_2group______n__a__n__o1__x2______s__c__l__i__b______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:d7/d66/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d66/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html">Smartcard Library Exported Structs</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gaa7f3f1bc4269ed63239302e94d200611"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa7f3f1bc4269ed63239302e94d200611">SCLIB_MAX_ATR_LEN</a>&#160;&#160;&#160;32</td></tr>
<tr class="memdesc:gaa7f3f1bc4269ed63239302e94d200611"><td class="mdescLeft">&#160;</td><td class="mdescRight">Max ATR length. ISO-7816 8.2.1.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa7f3f1bc4269ed63239302e94d200611">More...</a><br /></td></tr>
<tr class="separator:gaa7f3f1bc4269ed63239302e94d200611"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga57bd580a812baef95f8b8b1f2a6f1f50"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga57bd580a812baef95f8b8b1f2a6f1f50">SCLIB_MIN_ATR_LEN</a>&#160;&#160;&#160;2</td></tr>
<tr class="memdesc:ga57bd580a812baef95f8b8b1f2a6f1f50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Min ATR length, TS and T0.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga57bd580a812baef95f8b8b1f2a6f1f50">More...</a><br /></td></tr>
<tr class="separator:ga57bd580a812baef95f8b8b1f2a6f1f50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadbe10ef18194ec13c23bc4c790815a8a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadbe10ef18194ec13c23bc4c790815a8a">SCLIB_PROTOCOL_UNDEFINED</a>&#160;&#160;&#160;0x00000000</td></tr>
<tr class="memdesc:gadbe10ef18194ec13c23bc4c790815a8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">There is no active protocol.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadbe10ef18194ec13c23bc4c790815a8a">More...</a><br /></td></tr>
<tr class="separator:gadbe10ef18194ec13c23bc4c790815a8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga55cce06161110dc2a75423459dff8392"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga55cce06161110dc2a75423459dff8392">SCLIB_PROTOCOL_T0</a>&#160;&#160;&#160;0x00000001</td></tr>
<tr class="memdesc:ga55cce06161110dc2a75423459dff8392"><td class="mdescLeft">&#160;</td><td class="mdescRight">T=0 is the active protocol.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga55cce06161110dc2a75423459dff8392">More...</a><br /></td></tr>
<tr class="separator:ga55cce06161110dc2a75423459dff8392"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaceb47970d665912809b843c7adb9dd28"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaceb47970d665912809b843c7adb9dd28">SCLIB_PROTOCOL_T1</a>&#160;&#160;&#160;0x00000002</td></tr>
<tr class="memdesc:gaceb47970d665912809b843c7adb9dd28"><td class="mdescLeft">&#160;</td><td class="mdescRight">T=1 is the active protocol.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaceb47970d665912809b843c7adb9dd28">More...</a><br /></td></tr>
<tr class="separator:gaceb47970d665912809b843c7adb9dd28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e8c28292b57e40be9c47ea24d1c859a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e8c28292b57e40be9c47ea24d1c859a">SCLIB_SUCCESS</a>&#160;&#160;&#160;0x00000000</td></tr>
<tr class="memdesc:ga1e8c28292b57e40be9c47ea24d1c859a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Command successful without error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e8c28292b57e40be9c47ea24d1c859a">More...</a><br /></td></tr>
<tr class="separator:ga1e8c28292b57e40be9c47ea24d1c859a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga302f3556a01142f7a45136e590c847bd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga302f3556a01142f7a45136e590c847bd">SCLIB_ERR_CARD_REMOVED</a>&#160;&#160;&#160;0x00000001</td></tr>
<tr class="memdesc:ga302f3556a01142f7a45136e590c847bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard removed.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga302f3556a01142f7a45136e590c847bd">More...</a><br /></td></tr>
<tr class="separator:ga302f3556a01142f7a45136e590c847bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gace6892d9fefd08a9c7045db7815735b7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gace6892d9fefd08a9c7045db7815735b7">SCLIB_ERR_OVER_RUN</a>&#160;&#160;&#160;0x00000002</td></tr>
<tr class="memdesc:gace6892d9fefd08a9c7045db7815735b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rx FIFO over run.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gace6892d9fefd08a9c7045db7815735b7">More...</a><br /></td></tr>
<tr class="separator:gace6892d9fefd08a9c7045db7815735b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafbff1367634fc4011023635c9ae3d84b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafbff1367634fc4011023635c9ae3d84b">SCLIB_ERR_PARITY_ERROR</a>&#160;&#160;&#160;0x00000003</td></tr>
<tr class="memdesc:gafbff1367634fc4011023635c9ae3d84b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tx/Rx parity error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafbff1367634fc4011023635c9ae3d84b">More...</a><br /></td></tr>
<tr class="separator:gafbff1367634fc4011023635c9ae3d84b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga674dfd7649de507e097c242cd675fd42"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga674dfd7649de507e097c242cd675fd42">SCLIB_ERR_NO_STOP</a>&#160;&#160;&#160;0x00000004</td></tr>
<tr class="memdesc:ga674dfd7649de507e097c242cd675fd42"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop bit not found.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga674dfd7649de507e097c242cd675fd42">More...</a><br /></td></tr>
<tr class="separator:ga674dfd7649de507e097c242cd675fd42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7d397a59ce7c63b46e4855ca4864df2e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7d397a59ce7c63b46e4855ca4864df2e">SCLIB_ERR_SILENT_BYTE</a>&#160;&#160;&#160;0x00000005</td></tr>
<tr class="memdesc:ga7d397a59ce7c63b46e4855ca4864df2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">I/O pin stay at low for longer than 1 character time.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7d397a59ce7c63b46e4855ca4864df2e">More...</a><br /></td></tr>
<tr class="separator:ga7d397a59ce7c63b46e4855ca4864df2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a38f68eb5309928bbd9feb924337b5e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6a38f68eb5309928bbd9feb924337b5e">SCLIB_ERR_CMD</a>&#160;&#160;&#160;0x00000006</td></tr>
<tr class="memdesc:ga6a38f68eb5309928bbd9feb924337b5e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Command error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6a38f68eb5309928bbd9feb924337b5e">More...</a><br /></td></tr>
<tr class="separator:ga6a38f68eb5309928bbd9feb924337b5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga187bc2c3a236ab18012180a1731fe33e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga187bc2c3a236ab18012180a1731fe33e">SCLIB_ERR_UNSUPPORTEDCARD</a>&#160;&#160;&#160;0x00000007</td></tr>
<tr class="memdesc:ga187bc2c3a236ab18012180a1731fe33e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unsupported card.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga187bc2c3a236ab18012180a1731fe33e">More...</a><br /></td></tr>
<tr class="separator:ga187bc2c3a236ab18012180a1731fe33e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad9d39b1f92b89adb77a14a6492b3a758"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad9d39b1f92b89adb77a14a6492b3a758">SCLIB_ERR_READ</a>&#160;&#160;&#160;0x00000008</td></tr>
<tr class="memdesc:gad9d39b1f92b89adb77a14a6492b3a758"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad9d39b1f92b89adb77a14a6492b3a758">More...</a><br /></td></tr>
<tr class="separator:gad9d39b1f92b89adb77a14a6492b3a758"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga31fa921dfaa59bf7fc193804cdf57f83"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga31fa921dfaa59bf7fc193804cdf57f83">SCLIB_ERR_WRITE</a>&#160;&#160;&#160;0x00000009</td></tr>
<tr class="memdesc:ga31fa921dfaa59bf7fc193804cdf57f83"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga31fa921dfaa59bf7fc193804cdf57f83">More...</a><br /></td></tr>
<tr class="separator:ga31fa921dfaa59bf7fc193804cdf57f83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7bd9df6ec32bb3e7e0fa3fd672367eec"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7bd9df6ec32bb3e7e0fa3fd672367eec">SCLIB_ERR_TIME0OUT</a>&#160;&#160;&#160;0x0000000A</td></tr>
<tr class="memdesc:ga7bd9df6ec32bb3e7e0fa3fd672367eec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard timer 0 timeout.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7bd9df6ec32bb3e7e0fa3fd672367eec">More...</a><br /></td></tr>
<tr class="separator:ga7bd9df6ec32bb3e7e0fa3fd672367eec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadf4f29b6013a0cb4e9afa7ca10ee41c0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadf4f29b6013a0cb4e9afa7ca10ee41c0">SCLIB_ERR_TIME1OUT</a>&#160;&#160;&#160;0x0000000B</td></tr>
<tr class="memdesc:gadf4f29b6013a0cb4e9afa7ca10ee41c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard timer 1 timeout.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadf4f29b6013a0cb4e9afa7ca10ee41c0">More...</a><br /></td></tr>
<tr class="separator:gadf4f29b6013a0cb4e9afa7ca10ee41c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga93af5334f03354da71bc11bec6f5cd26"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga93af5334f03354da71bc11bec6f5cd26">SCLIB_ERR_TIME2OUT</a>&#160;&#160;&#160;0x0000000C</td></tr>
<tr class="memdesc:ga93af5334f03354da71bc11bec6f5cd26"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard timer 2 timeout.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga93af5334f03354da71bc11bec6f5cd26">More...</a><br /></td></tr>
<tr class="separator:ga93af5334f03354da71bc11bec6f5cd26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4c668910036474da42f7ac043182cb09"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4c668910036474da42f7ac043182cb09">SCLIB_ERR_AUTOCONVENTION</a>&#160;&#160;&#160;0x0000000D</td></tr>
<tr class="memdesc:ga4c668910036474da42f7ac043182cb09"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard is neither direct nor inverse convention.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4c668910036474da42f7ac043182cb09">More...</a><br /></td></tr>
<tr class="separator:ga4c668910036474da42f7ac043182cb09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5728870d0f41ac134b17e54ee3be4a3b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5728870d0f41ac134b17e54ee3be4a3b">SCLIB_ERR_CLOCK</a>&#160;&#160;&#160;0x0000000E</td></tr>
<tr class="memdesc:ga5728870d0f41ac134b17e54ee3be4a3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard clock frequency is not between 1MHz and 5 MHz.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5728870d0f41ac134b17e54ee3be4a3b">More...</a><br /></td></tr>
<tr class="separator:ga5728870d0f41ac134b17e54ee3be4a3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab2433aaf96c1274013c705a397a0b407"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab2433aaf96c1274013c705a397a0b407">SCLIB_ERR_BGTIMEOUT</a>&#160;&#160;&#160;0x0000000E</td></tr>
<tr class="memdesc:gab2433aaf96c1274013c705a397a0b407"><td class="mdescLeft">&#160;</td><td class="mdescRight">BGT time error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab2433aaf96c1274013c705a397a0b407">More...</a><br /></td></tr>
<tr class="separator:gab2433aaf96c1274013c705a397a0b407"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4e2bafa99c368ef33a0a910d2e4bfb8b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4e2bafa99c368ef33a0a910d2e4bfb8b">SCLIB_ERR_ATR_UNRECOGNIZED</a>&#160;&#160;&#160;0x00001001</td></tr>
<tr class="memdesc:ga4e2bafa99c368ef33a0a910d2e4bfb8b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unrecognised ATR.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4e2bafa99c368ef33a0a910d2e4bfb8b">More...</a><br /></td></tr>
<tr class="separator:ga4e2bafa99c368ef33a0a910d2e4bfb8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gade3a6b36834055755243314987b5b470"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gade3a6b36834055755243314987b5b470">SCLIB_ERR_ATR_INVALID_PARAM</a>&#160;&#160;&#160;0x00001002</td></tr>
<tr class="memdesc:gade3a6b36834055755243314987b5b470"><td class="mdescLeft">&#160;</td><td class="mdescRight">ATR parsing interface bytes error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gade3a6b36834055755243314987b5b470">More...</a><br /></td></tr>
<tr class="separator:gade3a6b36834055755243314987b5b470"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabfc03c21411cefb4a69f63aa6fed2575"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabfc03c21411cefb4a69f63aa6fed2575">SCLIB_ERR_ATR_INVALID_TCK</a>&#160;&#160;&#160;0x00001003</td></tr>
<tr class="memdesc:gabfc03c21411cefb4a69f63aa6fed2575"><td class="mdescLeft">&#160;</td><td class="mdescRight">TCK check byte error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabfc03c21411cefb4a69f63aa6fed2575">More...</a><br /></td></tr>
<tr class="separator:gabfc03c21411cefb4a69f63aa6fed2575"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga22293d9ca047ba1351e6fe6c8ce8118a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22293d9ca047ba1351e6fe6c8ce8118a">SCLIB_ERR_PPS</a>&#160;&#160;&#160;0x00001004</td></tr>
<tr class="memdesc:ga22293d9ca047ba1351e6fe6c8ce8118a"><td class="mdescLeft">&#160;</td><td class="mdescRight">PPS echange error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22293d9ca047ba1351e6fe6c8ce8118a">More...</a><br /></td></tr>
<tr class="separator:ga22293d9ca047ba1351e6fe6c8ce8118a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3e873697fcb1c45b2bd6121817a0d37d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e873697fcb1c45b2bd6121817a0d37d">SCLIB_ERR_T1_PARITY</a>&#160;&#160;&#160;0x00002001</td></tr>
<tr class="memdesc:ga3e873697fcb1c45b2bd6121817a0d37d"><td class="mdescLeft">&#160;</td><td class="mdescRight">T=1 Parity Error Notice.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e873697fcb1c45b2bd6121817a0d37d">More...</a><br /></td></tr>
<tr class="separator:ga3e873697fcb1c45b2bd6121817a0d37d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b7ce484ab936ef92f937f562e56b755"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2b7ce484ab936ef92f937f562e56b755">SCLIB_ERR_T1_ICC</a>&#160;&#160;&#160;0x00002002</td></tr>
<tr class="memdesc:ga2b7ce484ab936ef92f937f562e56b755"><td class="mdescLeft">&#160;</td><td class="mdescRight">ICC communication error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2b7ce484ab936ef92f937f562e56b755">More...</a><br /></td></tr>
<tr class="separator:ga2b7ce484ab936ef92f937f562e56b755"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab4b5db469ac7463627881fa391b66d67"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab4b5db469ac7463627881fa391b66d67">SCLIB_ERR_T1_PROTOCOL</a>&#160;&#160;&#160;0x00002003</td></tr>
<tr class="memdesc:gab4b5db469ac7463627881fa391b66d67"><td class="mdescLeft">&#160;</td><td class="mdescRight">T=1 Protocol Error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab4b5db469ac7463627881fa391b66d67">More...</a><br /></td></tr>
<tr class="separator:gab4b5db469ac7463627881fa391b66d67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga68353dc425c5e4be4211d57627f6c037"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga68353dc425c5e4be4211d57627f6c037">SCLIB_ERR_T1_ABORT_RECEIVED</a>&#160;&#160;&#160;0x00002004</td></tr>
<tr class="memdesc:ga68353dc425c5e4be4211d57627f6c037"><td class="mdescLeft">&#160;</td><td class="mdescRight">Received ABORT request.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga68353dc425c5e4be4211d57627f6c037">More...</a><br /></td></tr>
<tr class="separator:ga68353dc425c5e4be4211d57627f6c037"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7665106c623963f47ca029f6a5e39840"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7665106c623963f47ca029f6a5e39840">SCLIB_ERR_T1_RESYNCH_RECEIVED</a>&#160;&#160;&#160;0x00002005</td></tr>
<tr class="memdesc:ga7665106c623963f47ca029f6a5e39840"><td class="mdescLeft">&#160;</td><td class="mdescRight">Received RESYNCH request.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7665106c623963f47ca029f6a5e39840">More...</a><br /></td></tr>
<tr class="separator:ga7665106c623963f47ca029f6a5e39840"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga95a9f2b0f51e17b5f6035ba70190bef9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga95a9f2b0f51e17b5f6035ba70190bef9">SCLIB_ERR_T1_VPP_ERROR_RECEIVED</a>&#160;&#160;&#160;0x00002006</td></tr>
<tr class="memdesc:ga95a9f2b0f51e17b5f6035ba70190bef9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Received VPP error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga95a9f2b0f51e17b5f6035ba70190bef9">More...</a><br /></td></tr>
<tr class="separator:ga95a9f2b0f51e17b5f6035ba70190bef9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab5012901029b5aa9c83fff5eb7f4c99e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab5012901029b5aa9c83fff5eb7f4c99e">SCLIB_ERR_T1_WTXRES_RECEIVED</a>&#160;&#160;&#160;0x00002007</td></tr>
<tr class="memdesc:gab5012901029b5aa9c83fff5eb7f4c99e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Received BWT extension request.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab5012901029b5aa9c83fff5eb7f4c99e">More...</a><br /></td></tr>
<tr class="separator:gab5012901029b5aa9c83fff5eb7f4c99e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaffa2352af84baf4fd5c649da1d909715"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaffa2352af84baf4fd5c649da1d909715">SCLIB_ERR_T1_IFSRES_RECEIVED</a>&#160;&#160;&#160;0x00002008</td></tr>
<tr class="memdesc:gaffa2352af84baf4fd5c649da1d909715"><td class="mdescLeft">&#160;</td><td class="mdescRight">Received max IFS offer.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaffa2352af84baf4fd5c649da1d909715">More...</a><br /></td></tr>
<tr class="separator:gaffa2352af84baf4fd5c649da1d909715"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga96f4f3f8a5d00783aaa1aab0f19865fd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga96f4f3f8a5d00783aaa1aab0f19865fd">SCLIB_ERR_T1_ABORTRES_RECEIVED</a>&#160;&#160;&#160;0x00002009</td></tr>
<tr class="memdesc:ga96f4f3f8a5d00783aaa1aab0f19865fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Received ABORT response.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga96f4f3f8a5d00783aaa1aab0f19865fd">More...</a><br /></td></tr>
<tr class="separator:ga96f4f3f8a5d00783aaa1aab0f19865fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae821db79e10082567f7db3eb66a25599"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae821db79e10082567f7db3eb66a25599">SCLIB_ERR_T1_CHECKSUM</a>&#160;&#160;&#160;0x0000200A</td></tr>
<tr class="memdesc:gae821db79e10082567f7db3eb66a25599"><td class="mdescLeft">&#160;</td><td class="mdescRight">T=1 block check sum error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae821db79e10082567f7db3eb66a25599">More...</a><br /></td></tr>
<tr class="separator:gae821db79e10082567f7db3eb66a25599"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf5ad42fcccce6c466114c159b461a566"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf5ad42fcccce6c466114c159b461a566">SCLIB_ERR_T0_PROTOCOL</a>&#160;&#160;&#160;0x00003003</td></tr>
<tr class="memdesc:gaf5ad42fcccce6c466114c159b461a566"><td class="mdescLeft">&#160;</td><td class="mdescRight">T=0 Protocol Error.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf5ad42fcccce6c466114c159b461a566">More...</a><br /></td></tr>
<tr class="separator:gaf5ad42fcccce6c466114c159b461a566"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf41d4c2aa0878084f67774cd0617332e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf41d4c2aa0878084f67774cd0617332e">SCLIB_ERR_DEACTIVE</a>&#160;&#160;&#160;0x0000F001</td></tr>
<tr class="memdesc:gaf41d4c2aa0878084f67774cd0617332e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard is de-active.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf41d4c2aa0878084f67774cd0617332e">More...</a><br /></td></tr>
<tr class="separator:gaf41d4c2aa0878084f67774cd0617332e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2cba16267a90f6cfda42b179fa221afe"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2cba16267a90f6cfda42b179fa221afe">SCLIB_ERR_CARDBUSY</a>&#160;&#160;&#160;0x0000F002</td></tr>
<tr class="memdesc:ga2cba16267a90f6cfda42b179fa221afe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Smartcard is busy, previous transmission is not complete yet.  <a href="../../dc/df8/group___n_a_n_o1_x2___s_c_l_i_b___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2cba16267a90f6cfda42b179fa221afe">More...</a><br /></td></tr>
<tr class="separator:ga2cba16267a90f6cfda42b179fa221afe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="gade3a6b36834055755243314987b5b470" name="gade3a6b36834055755243314987b5b470"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gade3a6b36834055755243314987b5b470">&#9670;&nbsp;</a></span>SCLIB_ERR_ATR_INVALID_PARAM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_ATR_INVALID_PARAM&#160;&#160;&#160;0x00001002</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ATR parsing interface bytes error. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00062">62</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="gabfc03c21411cefb4a69f63aa6fed2575" name="gabfc03c21411cefb4a69f63aa6fed2575"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabfc03c21411cefb4a69f63aa6fed2575">&#9670;&nbsp;</a></span>SCLIB_ERR_ATR_INVALID_TCK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_ATR_INVALID_TCK&#160;&#160;&#160;0x00001003</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TCK check byte error. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00063">63</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga4e2bafa99c368ef33a0a910d2e4bfb8b" name="ga4e2bafa99c368ef33a0a910d2e4bfb8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4e2bafa99c368ef33a0a910d2e4bfb8b">&#9670;&nbsp;</a></span>SCLIB_ERR_ATR_UNRECOGNIZED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_ATR_UNRECOGNIZED&#160;&#160;&#160;0x00001001</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Unrecognised ATR. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00061">61</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga4c668910036474da42f7ac043182cb09" name="ga4c668910036474da42f7ac043182cb09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4c668910036474da42f7ac043182cb09">&#9670;&nbsp;</a></span>SCLIB_ERR_AUTOCONVENTION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_AUTOCONVENTION&#160;&#160;&#160;0x0000000D</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Smartcard is neither direct nor inverse convention. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00057">57</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="gab2433aaf96c1274013c705a397a0b407" name="gab2433aaf96c1274013c705a397a0b407"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab2433aaf96c1274013c705a397a0b407">&#9670;&nbsp;</a></span>SCLIB_ERR_BGTIMEOUT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_BGTIMEOUT&#160;&#160;&#160;0x0000000E</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>BGT time error. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00059">59</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga302f3556a01142f7a45136e590c847bd" name="ga302f3556a01142f7a45136e590c847bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga302f3556a01142f7a45136e590c847bd">&#9670;&nbsp;</a></span>SCLIB_ERR_CARD_REMOVED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_CARD_REMOVED&#160;&#160;&#160;0x00000001</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Smartcard removed. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00045">45</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga2cba16267a90f6cfda42b179fa221afe" name="ga2cba16267a90f6cfda42b179fa221afe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2cba16267a90f6cfda42b179fa221afe">&#9670;&nbsp;</a></span>SCLIB_ERR_CARDBUSY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_CARDBUSY&#160;&#160;&#160;0x0000F002</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Smartcard is busy, previous transmission is not complete yet. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00082">82</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga5728870d0f41ac134b17e54ee3be4a3b" name="ga5728870d0f41ac134b17e54ee3be4a3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5728870d0f41ac134b17e54ee3be4a3b">&#9670;&nbsp;</a></span>SCLIB_ERR_CLOCK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_CLOCK&#160;&#160;&#160;0x0000000E</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Smartcard clock frequency is not between 1MHz and 5 MHz. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00058">58</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga6a38f68eb5309928bbd9feb924337b5e" name="ga6a38f68eb5309928bbd9feb924337b5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6a38f68eb5309928bbd9feb924337b5e">&#9670;&nbsp;</a></span>SCLIB_ERR_CMD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_CMD&#160;&#160;&#160;0x00000006</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Command error. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00050">50</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="gaf41d4c2aa0878084f67774cd0617332e" name="gaf41d4c2aa0878084f67774cd0617332e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf41d4c2aa0878084f67774cd0617332e">&#9670;&nbsp;</a></span>SCLIB_ERR_DEACTIVE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_DEACTIVE&#160;&#160;&#160;0x0000F001</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Smartcard is de-active. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00081">81</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga674dfd7649de507e097c242cd675fd42" name="ga674dfd7649de507e097c242cd675fd42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga674dfd7649de507e097c242cd675fd42">&#9670;&nbsp;</a></span>SCLIB_ERR_NO_STOP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_NO_STOP&#160;&#160;&#160;0x00000004</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stop bit not found. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00048">48</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="gace6892d9fefd08a9c7045db7815735b7" name="gace6892d9fefd08a9c7045db7815735b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gace6892d9fefd08a9c7045db7815735b7">&#9670;&nbsp;</a></span>SCLIB_ERR_OVER_RUN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_OVER_RUN&#160;&#160;&#160;0x00000002</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Rx FIFO over run. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00046">46</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="gafbff1367634fc4011023635c9ae3d84b" name="gafbff1367634fc4011023635c9ae3d84b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafbff1367634fc4011023635c9ae3d84b">&#9670;&nbsp;</a></span>SCLIB_ERR_PARITY_ERROR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_PARITY_ERROR&#160;&#160;&#160;0x00000003</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Tx/Rx parity error. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00047">47</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga22293d9ca047ba1351e6fe6c8ce8118a" name="ga22293d9ca047ba1351e6fe6c8ce8118a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga22293d9ca047ba1351e6fe6c8ce8118a">&#9670;&nbsp;</a></span>SCLIB_ERR_PPS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_PPS&#160;&#160;&#160;0x00001004</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PPS echange error. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00064">64</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="gad9d39b1f92b89adb77a14a6492b3a758" name="gad9d39b1f92b89adb77a14a6492b3a758"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad9d39b1f92b89adb77a14a6492b3a758">&#9670;&nbsp;</a></span>SCLIB_ERR_READ</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_READ&#160;&#160;&#160;0x00000008</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read error. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00052">52</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga7d397a59ce7c63b46e4855ca4864df2e" name="ga7d397a59ce7c63b46e4855ca4864df2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7d397a59ce7c63b46e4855ca4864df2e">&#9670;&nbsp;</a></span>SCLIB_ERR_SILENT_BYTE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_SILENT_BYTE&#160;&#160;&#160;0x00000005</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>I/O pin stay at low for longer than 1 character time. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00049">49</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="gaf5ad42fcccce6c466114c159b461a566" name="gaf5ad42fcccce6c466114c159b461a566"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf5ad42fcccce6c466114c159b461a566">&#9670;&nbsp;</a></span>SCLIB_ERR_T0_PROTOCOL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_T0_PROTOCOL&#160;&#160;&#160;0x00003003</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>T=0 Protocol Error. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00078">78</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga68353dc425c5e4be4211d57627f6c037" name="ga68353dc425c5e4be4211d57627f6c037"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga68353dc425c5e4be4211d57627f6c037">&#9670;&nbsp;</a></span>SCLIB_ERR_T1_ABORT_RECEIVED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_T1_ABORT_RECEIVED&#160;&#160;&#160;0x00002004</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Received ABORT request. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00069">69</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga96f4f3f8a5d00783aaa1aab0f19865fd" name="ga96f4f3f8a5d00783aaa1aab0f19865fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga96f4f3f8a5d00783aaa1aab0f19865fd">&#9670;&nbsp;</a></span>SCLIB_ERR_T1_ABORTRES_RECEIVED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_T1_ABORTRES_RECEIVED&#160;&#160;&#160;0x00002009</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Received ABORT response. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00074">74</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="gae821db79e10082567f7db3eb66a25599" name="gae821db79e10082567f7db3eb66a25599"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae821db79e10082567f7db3eb66a25599">&#9670;&nbsp;</a></span>SCLIB_ERR_T1_CHECKSUM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_T1_CHECKSUM&#160;&#160;&#160;0x0000200A</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>T=1 block check sum error. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00075">75</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga2b7ce484ab936ef92f937f562e56b755" name="ga2b7ce484ab936ef92f937f562e56b755"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2b7ce484ab936ef92f937f562e56b755">&#9670;&nbsp;</a></span>SCLIB_ERR_T1_ICC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_T1_ICC&#160;&#160;&#160;0x00002002</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ICC communication error. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00067">67</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="gaffa2352af84baf4fd5c649da1d909715" name="gaffa2352af84baf4fd5c649da1d909715"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaffa2352af84baf4fd5c649da1d909715">&#9670;&nbsp;</a></span>SCLIB_ERR_T1_IFSRES_RECEIVED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_T1_IFSRES_RECEIVED&#160;&#160;&#160;0x00002008</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Received max IFS offer. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00073">73</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga3e873697fcb1c45b2bd6121817a0d37d" name="ga3e873697fcb1c45b2bd6121817a0d37d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3e873697fcb1c45b2bd6121817a0d37d">&#9670;&nbsp;</a></span>SCLIB_ERR_T1_PARITY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_T1_PARITY&#160;&#160;&#160;0x00002001</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>T=1 Parity Error Notice. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00066">66</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="gab4b5db469ac7463627881fa391b66d67" name="gab4b5db469ac7463627881fa391b66d67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab4b5db469ac7463627881fa391b66d67">&#9670;&nbsp;</a></span>SCLIB_ERR_T1_PROTOCOL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_T1_PROTOCOL&#160;&#160;&#160;0x00002003</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>T=1 Protocol Error. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00068">68</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga7665106c623963f47ca029f6a5e39840" name="ga7665106c623963f47ca029f6a5e39840"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7665106c623963f47ca029f6a5e39840">&#9670;&nbsp;</a></span>SCLIB_ERR_T1_RESYNCH_RECEIVED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_T1_RESYNCH_RECEIVED&#160;&#160;&#160;0x00002005</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Received RESYNCH request. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00070">70</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga95a9f2b0f51e17b5f6035ba70190bef9" name="ga95a9f2b0f51e17b5f6035ba70190bef9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga95a9f2b0f51e17b5f6035ba70190bef9">&#9670;&nbsp;</a></span>SCLIB_ERR_T1_VPP_ERROR_RECEIVED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_T1_VPP_ERROR_RECEIVED&#160;&#160;&#160;0x00002006</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Received VPP error. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00071">71</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="gab5012901029b5aa9c83fff5eb7f4c99e" name="gab5012901029b5aa9c83fff5eb7f4c99e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab5012901029b5aa9c83fff5eb7f4c99e">&#9670;&nbsp;</a></span>SCLIB_ERR_T1_WTXRES_RECEIVED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_T1_WTXRES_RECEIVED&#160;&#160;&#160;0x00002007</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Received BWT extension request. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00072">72</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga7bd9df6ec32bb3e7e0fa3fd672367eec" name="ga7bd9df6ec32bb3e7e0fa3fd672367eec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7bd9df6ec32bb3e7e0fa3fd672367eec">&#9670;&nbsp;</a></span>SCLIB_ERR_TIME0OUT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_TIME0OUT&#160;&#160;&#160;0x0000000A</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Smartcard timer 0 timeout. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00054">54</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="gadf4f29b6013a0cb4e9afa7ca10ee41c0" name="gadf4f29b6013a0cb4e9afa7ca10ee41c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gadf4f29b6013a0cb4e9afa7ca10ee41c0">&#9670;&nbsp;</a></span>SCLIB_ERR_TIME1OUT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_TIME1OUT&#160;&#160;&#160;0x0000000B</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Smartcard timer 1 timeout. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00055">55</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga93af5334f03354da71bc11bec6f5cd26" name="ga93af5334f03354da71bc11bec6f5cd26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga93af5334f03354da71bc11bec6f5cd26">&#9670;&nbsp;</a></span>SCLIB_ERR_TIME2OUT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_TIME2OUT&#160;&#160;&#160;0x0000000C</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Smartcard timer 2 timeout. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00056">56</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga187bc2c3a236ab18012180a1731fe33e" name="ga187bc2c3a236ab18012180a1731fe33e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga187bc2c3a236ab18012180a1731fe33e">&#9670;&nbsp;</a></span>SCLIB_ERR_UNSUPPORTEDCARD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_UNSUPPORTEDCARD&#160;&#160;&#160;0x00000007</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Unsupported card. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00051">51</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga31fa921dfaa59bf7fc193804cdf57f83" name="ga31fa921dfaa59bf7fc193804cdf57f83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga31fa921dfaa59bf7fc193804cdf57f83">&#9670;&nbsp;</a></span>SCLIB_ERR_WRITE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_ERR_WRITE&#160;&#160;&#160;0x00000009</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Write error. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00053">53</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="gaa7f3f1bc4269ed63239302e94d200611" name="gaa7f3f1bc4269ed63239302e94d200611"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa7f3f1bc4269ed63239302e94d200611">&#9670;&nbsp;</a></span>SCLIB_MAX_ATR_LEN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_MAX_ATR_LEN&#160;&#160;&#160;32</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Max ATR length. ISO-7816 8.2.1. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00035">35</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga57bd580a812baef95f8b8b1f2a6f1f50" name="ga57bd580a812baef95f8b8b1f2a6f1f50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga57bd580a812baef95f8b8b1f2a6f1f50">&#9670;&nbsp;</a></span>SCLIB_MIN_ATR_LEN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_MIN_ATR_LEN&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Min ATR length, TS and T0. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00036">36</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga55cce06161110dc2a75423459dff8392" name="ga55cce06161110dc2a75423459dff8392"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga55cce06161110dc2a75423459dff8392">&#9670;&nbsp;</a></span>SCLIB_PROTOCOL_T0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_PROTOCOL_T0&#160;&#160;&#160;0x00000001</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>T=0 is the active protocol. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00040">40</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="gaceb47970d665912809b843c7adb9dd28" name="gaceb47970d665912809b843c7adb9dd28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaceb47970d665912809b843c7adb9dd28">&#9670;&nbsp;</a></span>SCLIB_PROTOCOL_T1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_PROTOCOL_T1&#160;&#160;&#160;0x00000002</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>T=1 is the active protocol. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00041">41</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="gadbe10ef18194ec13c23bc4c790815a8a" name="gadbe10ef18194ec13c23bc4c790815a8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gadbe10ef18194ec13c23bc4c790815a8a">&#9670;&nbsp;</a></span>SCLIB_PROTOCOL_UNDEFINED</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_PROTOCOL_UNDEFINED&#160;&#160;&#160;0x00000000</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>There is no active protocol. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00039">39</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
<a id="ga1e8c28292b57e40be9c47ea24d1c859a" name="ga1e8c28292b57e40be9c47ea24d1c859a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1e8c28292b57e40be9c47ea24d1c859a">&#9670;&nbsp;</a></span>SCLIB_SUCCESS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCLIB_SUCCESS&#160;&#160;&#160;0x00000000</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Command successful without error. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/de4/sclib_8h_source.html#l00043">43</a> of file <a class="el" href="../../d8/de4/sclib_8h_source.html">sclib.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
